# Generated by Django 3.0.6 on 2021-06-09 13:56

from django.conf import settings
import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
import django.contrib.postgres.indexes
import django.contrib.postgres.search
from django.db import migrations, models
import django.db.models.deletion
import myapp.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AttendanceEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_year', models.DateField(db_index=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Attendee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('surname', models.CharField(max_length=512)),
                ('alt_surname', models.CharField(max_length=512)),
                ('name', models.CharField(max_length=512)),
                ('function', models.CharField(max_length=512)),
                ('bio', models.TextField()),
                ('country', models.CharField(max_length=512)),
                ('active_since', models.DateField(db_index=True, null=True)),
                ('active_until', models.DateField(db_index=True, null=True)),
                ('wikidata', models.CharField(max_length=512, null=True)),
            ],
            options={
                'ordering': ['pk', 'surname'],
            },
        ),
        migrations.CreateModel(
            name='Entity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('text', models.TextField()),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(default=myapp.models.get_default_data)),
                ('language', models.CharField(db_index=True, max_length=5, null=True)),
                ('sv', django.contrib.postgres.search.SearchVectorField(null=True)),
            ],
            options={
                'ordering': ['pk', 'text'],
            },
        ),
        migrations.CreateModel(
            name='Mention',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('offset_start', models.IntegerField(null=True)),
                ('offset_end', models.IntegerField(null=True)),
                ('entity', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myapp.Entity')),
            ],
        ),
        migrations.CreateModel(
            name='Organisation',
            fields=[
                ('entity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='myapp.Entity')),
                ('ld_identifier', models.CharField(max_length=512)),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('myapp.entity',),
        ),
        migrations.CreateModel(
            name='Person',
            fields=[
                ('entity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='myapp.Entity')),
                ('title', models.CharField(blank=True, max_length=256)),
                ('first_name', models.CharField(max_length=512)),
                ('last_name', models.CharField(max_length=512)),
                ('person_identifier', models.CharField(max_length=512)),
                ('ld_identifier', models.CharField(max_length=512)),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('myapp.entity',),
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('entity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='myapp.Entity')),
                ('ld_identifier', models.CharField(max_length=512)),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('myapp.entity',),
        ),
        migrations.CreateModel(
            name='Term',
            fields=[
                ('entity_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='myapp.Entity')),
                ('ld_identifier', models.CharField(max_length=512)),
            ],
            options={
                'abstract': False,
                'base_manager_name': 'objects',
            },
            bases=('myapp.entity',),
        ),
        migrations.CreateModel(
            name='Volume',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('text', models.TextField()),
                ('key', models.CharField(max_length=512, null=True)),
                ('ld_identifier', models.CharField(max_length=512)),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(default=myapp.models.get_default_data)),
                ('link', models.CharField(max_length=512)),
                ('start_date', models.DateField(db_index=True, null=True)),
                ('end_date', models.DateField(db_index=True, null=True)),
                ('attendees', models.ManyToManyField(through='myapp.AttendanceEvent', to='myapp.Attendee')),
            ],
            options={
                'ordering': ['start_date'],
            },
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('page_identifier', models.CharField(max_length=512)),
                ('ld_identifier', models.CharField(max_length=512)),
                ('page_index', models.IntegerField(blank=True)),
                ('section_type', models.CharField(db_index=True, max_length=512, null=True)),
                ('language', models.CharField(db_index=True, max_length=5, null=True)),
                ('language_confidence', models.DecimalField(decimal_places=2, max_digits=4, null=True)),
                ('feature', models.CharField(db_index=True, max_length=512, null=True)),
                ('spacy_doc', models.BinaryField(null=True)),
                ('spacy_vocab', models.BinaryField(null=True)),
                ('sentences', django.contrib.postgres.fields.jsonb.JSONField(null=True)),
                ('text', models.TextField()),
                ('lemmatized_text', models.TextField()),
                ('stemmed_text', models.TextField()),
                ('tokens', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=512), null=True, size=None)),
                ('bow_text', models.TextField()),
                ('sv', django.contrib.postgres.search.SearchVectorField(null=True)),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(default=myapp.models.get_default_data)),
                ('entities', models.ManyToManyField(through='myapp.Mention', to='myapp.Entity')),
                ('volume', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='myapp.Volume')),
            ],
            options={
                'ordering': ['pk', 'page_identifier'],
            },
        ),
        migrations.AddField(
            model_name='mention',
            name='page',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myapp.Page'),
        ),
        migrations.AddField(
            model_name='entity',
            name='pages',
            field=models.ManyToManyField(through='myapp.Mention', to='myapp.Page'),
        ),
        migrations.AddField(
            model_name='entity',
            name='polymorphic_ctype',
            field=models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='polymorphic_myapp.entity_set+', to='contenttypes.ContentType'),
        ),
        migrations.CreateModel(
            name='Batch',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('ld_identifier', models.CharField(max_length=512)),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('pages', models.ManyToManyField(to='myapp.Page')),
            ],
        ),
        migrations.AddField(
            model_name='attendee',
            name='volumes',
            field=models.ManyToManyField(through='myapp.AttendanceEvent', to='myapp.Volume'),
        ),
        migrations.AddField(
            model_name='attendanceevent',
            name='attendee',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myapp.Attendee'),
        ),
        migrations.AddField(
            model_name='attendanceevent',
            name='volume',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='myapp.Volume'),
        ),
        migrations.AddIndex(
            model_name='page',
            index=django.contrib.postgres.indexes.GinIndex(fields=['sv'], name='myapp_page_sv_a846c6_gin'),
        ),
        migrations.AddIndex(
            model_name='entity',
            index=django.contrib.postgres.indexes.GinIndex(fields=['sv'], name='myapp_entit_sv_68eca2_gin'),
        ),
    ]
